Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.utils
Class XSLTransformer

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.utils.XSLTransformer

    public abstract class XSLTransformer

extends java.lang.Object

Clase que transforma ficheros mediante una hoja de estilos.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`XSLTransformer()`

Method Summary
`static void` | `main(java.lang.String[] args)` Punto de entrada de ejecución
`static void` | `transform(java.lang.String inputPath, java.lang.String xslPath, java.lang.String outputPath, java.lang.String xslParamList)` Método encargado de realizar la transformación XSL

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTransformer

    public XSLTransformer()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Punto de entrada de ejecución

  Parameters:
    `args` - Array de parametros de entrada en el siguiente orden
    1. Documento a transformar,
    2. Hoja de estilos utilizada en la transformación
    3. Documento de salida generado tras la transformacion,
    4. opcionalmente, parametros de entrada a la XSL. Será una lista de parametros separados entre si por ';' y con el formato parametro1=valor1;parametro2=valor2...
    Los path con espacios en blanco, deben enviarse entrecomillados

### transform

    public static void transform(java.lang.String inputPath,
                                 java.lang.String xslPath,
                                 java.lang.String outputPath,
                                 java.lang.String xslParamList)
                          throws XBRLENLOCException

  Método encargado de realizar la transformación XSL

  Parameters:
    `inputPath` - Documento origen
    `xslPath` - Hoja de estilos
    `outputPath` - Documento de salida
    `xslParamList` - Lista de parametros para la hoja de estilos. Será una lista de parámetros separados entre si por ';' y con el formato parametro1=valor1;parametro2=valor2... Los path's con espacios en blanco, deben enviarse entre comillas.
  Throws:
    `XBRLENLOCException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD